package cn.ibizlab.r7.runtime.core.r7rt_base.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import cn.ibizlab.r7.runtime.util.ISearchFilter;
import cn.ibizlab.r7.runtime.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.r7.runtime.util.SearchContext;
import cn.ibizlab.r7.runtime.util.SearchFieldFilter;
import cn.ibizlab.r7.runtime.util.enums.SearchFieldType;
import cn.ibizlab.r7.runtime.util.enums.SearchGroupType;
import cn.ibizlab.r7.runtime.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[DataEntity] 查询条件对象
 */
@Data
public class DataEntitySearchContext extends SearchContext {

	   public String n_dataentityname_like;//[业务实体名称]
       public void setN_dataentityname_like(String n_dataentityname_like) {
            this.n_dataentityname_like=n_dataentityname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("dataentityname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_dataentityname_like);
            this.getCondition().add(searchField);
       }
	   public String n_systemname_eq;//[系统名称]
       public void setN_systemname_eq(String n_systemname_eq) {
            this.n_systemname_eq=n_systemname_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("systemname");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_systemname_eq);
            this.getCondition().add(searchField);
       }
	   public String n_systemname_like;//[系统名称]
       public void setN_systemname_like(String n_systemname_like) {
            this.n_systemname_like=n_systemname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("systemname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_systemname_like);
            this.getCondition().add(searchField);
       }
	   public String n_systemid_eq;//[业务系统标识]
       public void setN_systemid_eq(String n_systemid_eq) {
            this.n_systemid_eq=n_systemid_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("systemid");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_systemid_eq);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter dataentityname=new SearchFieldFilter();
           dataentityname.setParam("dataentityname");
           dataentityname.setCondition(SearchFieldType.LIKE);
           dataentityname.setValue(strQuery);
           searchGroupFilter.getCondition().add(dataentityname);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
